# Generated by Django 3.2 on 2023-10-15 14:06

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('rizq_sanjaya_app', '0016_dataperhubungan'),
    ]

    operations = [
        migrations.CreateModel(
            name='dataSosial',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tahun', models.CharField(default='2022', max_length=500)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default='Aktif', max_length=500)),
                ('jml_kartu_kip', models.IntegerField(null=True)),
                ('jml_bantuan_s_miskin', models.IntegerField(null=True)),
                ('jml_kartu_kis', models.IntegerField(null=True)),
                ('jml_user_bpjs', models.IntegerField(null=True)),
                ('jml_user_bpjs_mandiri', models.IntegerField(null=True)),
                ('jml_bpjs_ketenagakerjaan', models.IntegerField(null=True)),
                ('program_keluarga_harapan', models.IntegerField(null=True)),
                ('bantuan_pangan_non_tunai', models.IntegerField(null=True)),
                ('komunitas_adat_terpencil', models.IntegerField(null=True)),
                ('kampung', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datakampung')),
                ('penanggungjawab', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datapenanggungjawab')),
            ],
        ),
    ]
